Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 0
%global module_name pinkie

Name:           nodejs-%{module_name}
Version:        2.0.4
Release:        alt1_7
Summary:        Itty bitty little widdle twinkie pinkie ES6 Promise implementation

License:        MIT
URL:            https://github.com/floatdrop/pinkie
Source0:        https://github.com/floatdrop/%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha
%endif

%files
%doc readme.md 
%doc --no-dereference license
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.4-alt1_7
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.4-alt0.1.njs.bootstrap
- bootstrap

